Subject: Re: [PATCH net-next 5/5] gianfar_ethtool: coding style and whitespace cleanups

From: Jan Ceuleers <[email-masked]>
Date: Tue, 05 Jun 2012 07:54:29 +0200

On 06/04/2012 09:52 PM, David Miller wrote:
> From: Jan Ceuleers <[email-masked]>
> Date: Mon, 04 Jun 2012 21:11:09 +0200
> 
>> Well then I'm sorry but I won't be resubmitting
> 
> Because you can't test the build?
> 
> You absolutely can, on any architecture, that's how I found your typo.
> 
> Force the build with "make path/to/driver/foo.o" and scan through the
> non-architecture-specific warnings and errors.

I don't want to waste your time, and I'm sorry for having made a typo,
and I thank you for finding it, but I had tried that and hit the
following (I'm on x86):

  CC      drivers/net/ethernet/freescale/gianfar.o
drivers/net/ethernet/freescale/gianfar.c:91:21: fatal error: asm/reg.h:
No such file or directory
compilation terminated.
make[1]: *** [drivers/net/ethernet/freescale/gianfar.o] Error 1
make: *** [drivers/net/ethernet/freescale/gianfar.o] Error 2

That's without any of my patches applied.

The missing file exists only on some architectures:

janc@mordor:~/git/net-next$ find arch -name reg.h -print
arch/powerpc/boot/reg.h
arch/powerpc/include/asm/reg.h
arch/alpha/include/asm/reg.h
arch/mips/include/asm/reg.h
arch/arm/mach-bcmring/include/csp/reg.h

So your build environment happens to be one of powerpc, alpha or mips,
does it?

I will submit a v2 as RFC. Would the Freescale team please look at it?

Thanks, Jan